1 - 1.0
get /v1/baseline-assignments
Description
get baseline assignment list
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | landing_zone_id optional | 랜딩 존 ID Example : 2c8a138f8d78e1fc29a449dbfa8681 | any of [string, null] | None |
| query | resource_type optional | OU/ACCOUNT Example : OU | any of [enum (OU, ACCOUNT), null] | None |
| query | assignment_id optional | 루트/조직 단위/계정 ID Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801 | any of [string, null] | None |
| query | status optional | 상태 Example : REGISTRATION_FAILED | any of [enum (REGISTERED, REGISTRATION_FAILED, REGISTERING), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BaselineAssignmentListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baseline-assignments
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"baseline_assignments": [
{
"account_assigned_count": 3,
"account_count": 4,
"id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"ou_assigned_count": 5,
"ou_count": 10,
"preventive_guardrail_activated_count": 8,
"sso_user_name": "testuser",
"status": "REGISTERED",
"type": "OU"
}
]
}